Maunually Updating Firmware

Discussion in 'Jailbreaks and iOS Hacks' started by JakeT85, Apr 23, 2012.

  1. JakeT85, Apr 23, 2012
    Last edited: Apr 23, 2012

    JakeT85 macrumors regular

    JakeT85

    Joined:
    Jan 19, 2012
    #1
    Hey guys, have been doing some research and just wanted to verify with anyone that knew before I attempted to do an update. First off, I have an iPhone 4s on 5.0.1 that is jailbroken with absinthe, so I am somewhat familiar with jailbreaking, prior to that I had an iPhone 3g also jailbroken way back when (can't remember method).

    Anyways, I have a friend with an iPhone 4 that is still on iOS 3.1. She wants me to update the firmware for her, but also wants to put siri on her iPhone 4, which would require jailbreak (preventing me from loading iOS 5.1). I want to load iOS 5.0.1 on her phone and then jailbreak it. Is it really as simple as what I ahve been reading, finding the firmware version online in a ipsw file and plug into itunes and hit shift/update and open the file I downloaded and let itunes sync then? Is dfu mode not required? And also is do any other programs do this for you that are even more user friendly? It is an at&t iPhone 4, though I don't think it matter. Thanks for any help.

    Jake
     
  2. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #2
    No it isn't that simple, to go to 5.01 you need SHSH signatures and APticket signatures for that specific phone, if you didn't jailbreak previously or saved them manually with TinyUmbrella you can't go t 5.01 anymore, apple won't let you and currently there is no way around it.

    If you do have the SHSH "blobs" and the APTicket you can upgrade to 5.01 but you'll have to make custom firmware with redsn0w.

    You can upgrade to 5.1 and jailbreak it with redsn0w, but that will be a tethered jailbreak, everytime you reboot the phone you need to have it connected to mac/pc and use redsn0w to boot.
     
  3. JakeT85 thread starter macrumors regular

    JakeT85

    Joined:
    Jan 19, 2012
    #3
    Okay, thanks for the info. I knew about the SHSH blobs and tickets for my 4S but wasn't aware that the iPhone 4 on Firmwares from so long ago was affected by it, but it makes sense now since Apple quit signing Tickets, if you never had one you would be in the same boat as someone who had one but updated.
     
  4. Dwalls90 macrumors 601

    Dwalls90

    Joined:
    Feb 5, 2009
    #4
    iPhone 4 shipped with iOS 4 or higher. It's not on 3.1.

    She will not have 5.0.1 blobs so she cannot 'upgrade' to 5.0.1. She can stay where she is (I'm guessing you mean 4.1) or she can upgrade to 5.1 and use a tethered jailbreak. I'm not sure if the "fake"-Siri (Spire, ect.) is compatible on 5.1, and she will need a proxy, ect. (setting up Siri on non-4S devices isn't as straightforward as you might imagine)
     

Share This Page